Get payment request by reference
curl --request GET \
--url https://staging-api.yourflexpay.com/v2/merchant/payment-request/{reference} \
--header 'x-api-key: <api-key>' \
--header 'x-client-id: <api-key>' \
--header 'x-location: <api-key>'import requests
url = "https://staging-api.yourflexpay.com/v2/merchant/payment-request/{reference}"
headers = {
"x-client-id": "<api-key>",
"x-api-key": "<api-key>",
"x-location": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-client-id': '<api-key>',
'x-api-key': '<api-key>',
'x-location': '<api-key>'
}
};
fetch('https://staging-api.yourflexpay.com/v2/merchant/payment-request/{reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ID": 123,
"Amount": 123,
"Status": "Pending",
"Type": "C2C",
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"PayTag": {
"ID": 123,
"Tag": "<string>",
"Name": "<string>"
},
"Payer": {
"ID": 123,
"Tag": "<string>",
"Name": "<string>"
},
"Reference": "<string>",
"Description": "<string>",
"ExpiresAt": "2023-11-07T05:31:56Z"
}Merchant Payment Request
Get payment request by reference
GET
/
merchant
/
payment-request
/
{reference}
Get payment request by reference
Authorizations
Path Parameters
Response
200 - application/json
Payment request
Available options:
Pending, Accepted, Declined, Cancelled, Expired Available options:
C2C, C2P, C2M, Top Up, Adjustment, Reversal, Withdrawal, Bank Transfer, FirestoreTransaction, Wallet Settlement, Reward Redemption, Reward, Bulk Transfer, Exchange, Partner Terminal, Partner Gateway, Card Top Up, Vas, Airtime Purchase, Mobile Data Purchase, Terminal Settlement, Virtual Account Transfer, QR Virtual Account Transfer Show child attributes
Show child attributes
Show child attributes
Show child attributes